import {Component} from '@angular/core';
import {IonicPage, LoadingController, NavController, NavParams} from 'ionic-angular';
import {MineService} from "../mine.service";


@Component({
    selector: 'page-my-verify',
    templateUrl: 'my-verify.html',
})
export class MyVerifyPage {
    dbList = [];

    constructor(public navCtrl: NavController, public navParams: NavParams,
                private mine: MineService,private loadCtrl:LoadingController) {
    }

    ionViewDidLoad() {
        this.getList();
    }

    getList() {
        const load = this.loadCtrl.create();
        load.present();
        const data = {
            page: 2,
            limit: "1000",
            flag: 2
        };
        this.mine.dblog(data).subscribe(
            (res) => {
                load.dismiss();
                if(res.code == "0"){
                    this.dbList = res.page.list.log;
                }
            }
        )
    }

}
